Bug 185592 - New port: devel/jsoncpp - C++ library for dealing with JSON
Summary: New port: devel/jsoncpp - C++ library for dealing with JSON
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Danilo Egea Gondolfo
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-08 20:30 UTC by Johan Ström
Modified: 2014-01-21 18:50 UTC (History)
1 user (show)

See Also:


Attachments
jsoncpp.shar (2.68 KB, text/plain)
2014-01-08 20:30 UTC, Johan Ström
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Johan Ström 2014-01-08 20:30:01 UTC
Most recent released version of the jsoncpp library

(CC to original developer)
Comment 1 Danilo Egea Gondolfo freebsd_committer 2014-01-16 20:48:27 UTC
Responsible Changed
From-To: freebsd-ports-bugs->danilo

I'll take it.
Comment 2 Danilo Egea Gondolfo freebsd_committer 2014-01-17 02:25:06 UTC
It doesn't build on FreeBSD 10 (I've tested only on 10). Can you take a
look?
Comment 3 Johan Ström 2014-01-17 08:11:27 UTC
Hi,

I dont have a FreeBSD 10 box around, if you could provide me with the =
error output I'll see if there is anything apparent

Thanks
Johan

On Jan 17, 2014, at 03:25, "Danilo E. Gondolfo" <danilo@freebsd.org> =
wrote:

> It doesn't build on FreeBSD 10 (I've tested only on 10). Can you take =
a
> look?
Comment 4 Johan Ström 2014-01-18 12:20:11 UTC
On Jan 18, 2014, at 13:13 , Danilo E. Gondolfo wrote:

> On 01/18/14 09:12, Johan Str=F6m wrote:
>> Thanks,
>>=20
>> looks like the copied "linux build file" didn't work out on FreeBSD =
10. If I remember correctly, clang was introduced as default compiler in =
FreeBSD 10? I suspect this is the problem.
>> If it is possible to mark it as broken on FreeBSD 10, it is fine by =
me for now. Else I'll have to get my hands on a 10 box I guess.
>=20
> Yes, on FreeBSD 10 clang is the default compiler. I think that is =
better
> we fix this problem on 10 before add this port.

Okay, I'll see what I can do. It will probably take a while, I don't =
have much time free, and for the moment I have no pressure from anyone =
else to get this package into ports.

I'll get back to you/the pr when I have looked at this further!

>=20
> Danilo.
>=20
>>=20
>> On Jan 17, 2014, at 16:17 , Danilo E. Gondolfo wrote:
>>=20
>>> Hello Johan,
>>>=20
>>> On 01/17/14 06:11, Johan Str=F6m wrote:
>>>> Hi,
>>>>=20
>>>> I dont have a FreeBSD 10 box around, if you could provide me with =
the error output I'll see if there is anything apparent
>>>=20
>>> =3D=3D=3D>  License MIT accepted by the user
>>> =3D=3D=3D>   jsoncpp-0.6.0.r2 depends on file: /usr/local/sbin/pkg - =
found
>>> =3D=3D=3D> Fetching all distfiles required by jsoncpp-0.6.0.r2 for =
building
>>> =3D=3D=3D>  Extracting for jsoncpp-0.6.0.r2
>>> =3D> SHA256 Checksum OK for jsoncpp-src-0.6.0-rc2.tar.gz.
>>> =3D=3D=3D>  Patching for jsoncpp-0.6.0.r2
>>> =3D=3D=3D>   jsoncpp-0.6.0.r2 depends on file: /usr/local/bin/scons =
- found
>>> =3D=3D=3D>  Configuring for jsoncpp-0.6.0.r2
>>> =3D=3D=3D>  Building for jsoncpp-0.6.0.r2
>>> scons: Reading SConscript files ...
>>> Using platform 'linux-gcc-g++: not found'
>>> LD_LIBRARY_PATH =3D :libs/linux-gcc-g++: not found
>>> Building using PLATFORM =3D linux-gcc-g++: not found
>>>=20
>>> scons: warning: The build_dir keyword has been deprecated; use the
>>> variant_dir keyword instead.
>>> File "/tmp/jsoncpp/work/jsoncpp-src-0.6.0-rc2/SConstruct", line 206, =
in
>>> buildProjectInDirectory
>>>=20
>>> scons: warning: The build_dir keyword has been deprecated; use the
>>> variant_dir keyword instead.
>>> File "/tmp/jsoncpp/work/jsoncpp-src-0.6.0-rc2/SConstruct", line 206, =
in
>>> buildProjectInDirectory
>>>=20
>>> scons: warning: The build_dir keyword has been deprecated; use the
>>> variant_dir keyword instead.
>>> File "/tmp/jsoncpp/work/jsoncpp-src-0.6.0-rc2/SConstruct", line 206, =
in
>>> buildProjectInDirectory
>>> scons: done reading SConscript files.
>>> scons: Building targets ...
>>> c++ -o "buildscons/linux-gcc-g++: not =
found/src/jsontestrunner/main.o"
>>> -c -Wall -Iinclude -I. src/jsontestrunner/main.cpp
>>> c++ -o "buildscons/linux-gcc-g++: not =
found/src/lib_json/json_reader.o"
>>> -c -Wall -Iinclude src/lib_json/json_reader.cpp
>>> c++ -o "buildscons/linux-gcc-g++: not =
found/src/lib_json/json_value.o"
>>> -c -Wall -Iinclude src/lib_json/json_value.cpp
>>> c++ -o "buildscons/linux-gcc-g++: not =
found/src/lib_json/json_writer.o"
>>> -c -Wall -Iinclude src/lib_json/json_writer.cpp
>>> c++ -o "buildscons/linux-gcc-g++: not =
found/src/lib_json/json_reader.os"
>>> -c -Wall -fPIC -Iinclude src/lib_json/json_reader.cpp
>>> c++ -o "buildscons/linux-gcc-g++: not =
found/src/lib_json/json_value.os"
>>> -c -Wall -fPIC -Iinclude src/lib_json/json_value.cpp
>>> c++ -o "buildscons/linux-gcc-g++: not =
found/src/lib_json/json_writer.os"
>>> -c -Wall -fPIC -Iinclude src/lib_json/json_writer.cpp
>>> ar rc "buildscons/linux-gcc-g++: not
>>> found/src/lib_json/libjson_linux-gcc-g++: not found_libmt.a"
>>> "buildscons/linux-gcc-g++: not found/src/lib_json/json_reader.o"
>>> "buildscons/linux-gcc-g++: not found/src/lib_json/json_value.o"
>>> "buildscons/linux-gcc-g++: not found/src/lib_json/json_writer.o"
>>> ranlib "buildscons/linux-gcc-g++: not
>>> found/src/lib_json/libjson_linux-gcc-g++: not found_libmt.a"
>>> Install file: "buildscons/linux-gcc-g++: not
>>> found/src/lib_json/libjson_linux-gcc-g++: not found_libmt.a" as
>>> "libs/linux-gcc-g++: not found/libjson_linux-gcc-g++: not =
found_libmt.a"
>>> c++ -o "buildscons/linux-gcc-g++: not =
found/src/test_lib_json/main.o" -c
>>> -Wall -Iinclude -I. src/test_lib_json/main.cpp
>>> c++ -o "buildscons/linux-gcc-g++: not
>>> found/src/test_lib_json/jsontest.o" -c -Wall -Iinclude -I.
>>> src/test_lib_json/jsontest.cpp
>>> targz(["dist/jsoncpp-src-0.6.0-rc2.tar.gz"], ["AUTHORS", =
"README.txt",
>>> "SConstruct", "src/jsontestrunner/main.cpp",
>>> "src/jsontestrunner/sconscript", "src/lib_json/json_reader.cpp",
>>> "src/lib_json/json_value.cpp", "src/lib_json/json_writer.cpp",
>>> "src/lib_json/sconscript", "src/test_lib_json/main.cpp",
>>> "src/test_lib_json/jsontest.cpp", "src/test_lib_json/sconscript"])
>>> src/test_lib_json/main.cpp:45:9: warning: field =
'smallUnsignedInteger_'
>>> will be initialized after field 'unsignedInteger_'
>>>     [-Wreorder]
>>>     , smallUnsignedInteger_( Json::Value::UInt( Json::Value::maxInt =
) )
>>>       ^
>>> 1 warning generated.
>>> c++ -o "buildscons/linux-gcc-g++: not
>>> found/src/lib_json/libjson_linux-gcc-g++: not found_libmt.so" =
-shared
>>> "buildscons/linux-gcc-g++: not found/src/lib_json/json_reader.os"
>>> "buildscons/linux-gcc-g++: not found/src/lib_json/json_value.os"
>>> "buildscons/linux-gcc-g++: not found/src/lib_json/json_writer.os"
>>> -Llibs/linux-gcc-g++ "-Lbuildscons/linux-gcc-g++: not
>>> found/src/lib_json/ not found" "-Lsrc/lib_json/ not found" -lpthread
>>> Install file: "buildscons/linux-gcc-g++: not
>>> found/src/lib_json/libjson_linux-gcc-g++: not found_libmt.so" as
>>> "libs/linux-gcc-g++: not found/libjson_linux-gcc-g++: not =
found_libmt.so"
>>> c++ -o "buildscons/linux-gcc-g++: not
>>> found/src/jsontestrunner/jsontestrunner" "buildscons/linux-gcc-g++: =
not
>>> found/src/jsontestrunner/main.o" -Llibs/linux-gcc-g++
>>> "-Lbuildscons/linux-gcc-g++: not found/src/jsontestrunner/ not =
found"
>>> "-Lsrc/jsontestrunner/ not found" -lpthread "-ljson_linux-gcc-g++: =
not
>>> found_libmt"
>>> /usr/bin/ld: cannot find -ljson_linux-gcc-g++: not found_libmt
>>> c++: error: linker command failed with exit code 1 (use -v to see
>>> invocation)
>>> scons: *** [buildscons/linux-gcc-g++: not
>>> found/src/jsontestrunner/jsontestrunner] Error 1
>>> scons: building terminated because of errors.
>>> *** Error code 2
>>>=20
>>> Stop.
>>> make: stopped in /tmp/jsoncpp
>>>=20
>>>=20
>>>=20
>>>>=20
>>>> Thanks
>>>> Johan
>>>>=20
>>>> On Jan 17, 2014, at 03:25, "Danilo E. Gondolfo" =
<danilo@freebsd.org> wrote:
>>>>=20
>>>>> It doesn't build on FreeBSD 10 (I've tested only on 10). Can you =
take a
>>>>> look?
>>>>=20
>>>> .
>>>>=20
>>>=20
>>=20
>>=20
>=20
Comment 5 dfilter service freebsd_committer 2014-01-21 18:44:05 UTC
Author: danilo
Date: Tue Jan 21 18:43:56 2014
New Revision: 340636
URL: http://svnweb.freebsd.org/changeset/ports/340636
QAT: https://qat.redports.org/buildarchive/r340636/

Log:
  - Add new port devel/jsoncpp
  
  jsoncpp is an implementation of a JSON reader and writer in C++.
  
  PR:		ports/185592
  Submitted by:	Johan Str?m <johan@stromnet.se>

Added:
  head/devel/jsoncpp/
  head/devel/jsoncpp/Makefile   (contents, props changed)
  head/devel/jsoncpp/distinfo   (contents, props changed)
  head/devel/jsoncpp/files/
  head/devel/jsoncpp/files/patch-SConstruct   (contents, props changed)
  head/devel/jsoncpp/pkg-descr   (contents, props changed)
  head/devel/jsoncpp/pkg-plist   (contents, props changed)
Modified:
  head/devel/Makefile

Modified: head/devel/Makefile
==============================================================================
--- head/devel/Makefile	Tue Jan 21 18:40:23 2014	(r340635)
+++ head/devel/Makefile	Tue Jan 21 18:43:56 2014	(r340636)
@@ -888,6 +888,7 @@
     SUBDIR += jsmin
     SUBDIR += json-c
     SUBDIR += json-glib
+    SUBDIR += jsoncpp
     SUBDIR += jtag
     SUBDIR += judy
     SUBDIR += jwasm

Added: head/devel/jsoncpp/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/jsoncpp/Makefile	Tue Jan 21 18:43:56 2014	(r340636)
@@ -0,0 +1,34 @@
+# Created by: Johan Str??m <johna@stromnet.se>
+# $FreeBSD$
+
+PORTNAME=	jsoncpp
+DISTVERSION=	0.6.0-rc2
+CATEGORIES=	devel
+MASTER_SITES=	SF/${PORTNAME}/jsoncpp/${DISTVERSION}
+DISTNAME=	jsoncpp-src-${DISTVERSION}
+
+MAINTAINER=	johan@stromnet.se
+COMMENT=	JSON reader and writer library for C++
+
+LICENSE=	MIT
+
+USES=		dos2unix scons
+USE_LDCONFIG=	yes
+
+MAKE_ARGS=	platform=linux-gcc
+
+post-patch:
+	@${REINPLACE_CMD} -e 's|g++|${CXX}|' ${WRKSRC}/SConstruct
+
+do-install:
+	@${MKDIR} ${STAGEDIR}${PREFIX}/include/jsoncpp
+	(cd ${WRKSRC}/include/ && ${COPYTREE_SHARE} json/ ${STAGEDIR}${PREFIX}/include/jsoncpp/)
+	(cd ${WRKSRC}/libs/linux-gcc-FreeBSD/ &&  \
+		${INSTALL_LIB} libjson_linux-gcc-FreeBSD_libmt.a \
+		${STAGEDIR}${PREFIX}/lib/libjsoncpp.a)
+	(cd ${WRKSRC}/libs/linux-gcc-FreeBSD/ && \
+		${INSTALL_LIB} libjson_linux-gcc-FreeBSD_libmt.so \
+		${STAGEDIR}${PREFIX}/lib/libjsoncpp.so.0)
+	(cd ${STAGEDIR}${PREFIX}/lib/ && ${LN} -s libjsoncpp.so.0 libjsoncpp.so )
+
+.include <bsd.port.mk>

Added: head/devel/jsoncpp/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/jsoncpp/distinfo	Tue Jan 21 18:43:56 2014	(r340636)
@@ -0,0 +1,2 @@
+SHA256 (jsoncpp-src-0.6.0-rc2.tar.gz) = d4d193d163f520b08b9155cba978615892ca1359d77e3fb261fce2f86d09b283
+SIZE (jsoncpp-src-0.6.0-rc2.tar.gz) = 117661

Added: head/devel/jsoncpp/files/patch-SConstruct
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/jsoncpp/files/patch-SConstruct	Tue Jan 21 18:43:56 2014	(r340636)
@@ -0,0 +1,11 @@
+--- ./SConstruct.orig	2014-01-21 02:29:19.000000000 -0200
++++ ./SConstruct	2014-01-21 02:29:28.000000000 -0200
+@@ -26,7 +26,7 @@
+     if platform == 'linux-gcc':
+         CXX = 'g++' # not quite right, but env is not yet available.
+         import commands
+-        version = commands.getoutput('%s -dumpversion' %CXX)
++        version = 'FreeBSD'
+         platform = 'linux-gcc-%s' %version
+         print "Using platform '%s'" %platform
+         LD_LIBRARY_PATH = os.environ.get('LD_LIBRARY_PATH', '')

Added: head/devel/jsoncpp/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/jsoncpp/pkg-descr	Tue Jan 21 18:43:56 2014	(r340636)
@@ -0,0 +1,6 @@
+jsoncpp is an implementation of a JSON reader and writer in C++.
+JSON (JavaScript Object Notation) is a lightweight data-interchange format.
+It is easy for humans to read and write.
+It is easy for machines to parse and generate.
+
+WWW: http://jsoncpp.sourceforge.net/

Added: head/devel/jsoncpp/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/jsoncpp/pkg-plist	Tue Jan 21 18:43:56 2014	(r340636)
@@ -0,0 +1,13 @@
+lib/libjsoncpp.so.0
+lib/libjsoncpp.so
+lib/libjsoncpp.a
+include/jsoncpp/json/writer.h
+include/jsoncpp/json/json.h
+include/jsoncpp/json/forwards.h
+include/jsoncpp/json/config.h
+include/jsoncpp/json/value.h
+include/jsoncpp/json/reader.h
+include/jsoncpp/json/features.h
+include/jsoncpp/json/autolink.h
+@dirrm include/jsoncpp/json
+@dirrm include/jsoncpp
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Danilo Egea Gondolfo freebsd_committer 2014-01-21 18:45:14 UTC
State Changed
From-To: open->closed

Committed, with changes. Thanks!